Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Static Protected Member Functions | Friends | List of all members
ModuleDefinition Class Reference
Module Manager Reference

`#include <moduleDefinition.h>`

Inheritance diagram for ModuleDefinition:

## Classes
struct | ModuleDependency
| Module dependency. More...

## Public Types
typedef Vector< ModuleDependency > | typeModuleDependencyVector
typedef Vector< AssetDefinition * > | typeModuleAssetsVector
Public Types inherited from SimSet
typedef SimObjectList::iterator | iterator
typedef SimObjectList::value_type | value
Public Types inherited from SimObject
enum | WriteFlags { SelectedOnly = BIT(0) }

## Public Member Functions
| ModuleDefinition ()
virtual | ~ModuleDefinition ()
void | setModuleId (const char *pModuleId)
| Module definition. More...
StringTableEntry | getModuleId (void) const
void | setVersionId (const U32 versionId)
U32 | getVersionId (void) const
void | setBuildId (const U32 buildId)
U32 | getBuildId (void) const
void | setEnabled (const bool enabled)
bool | getEnabled (void) const
void | setSynchronized (const bool synchronized)
bool | getSynchronized (void) const
void | setDeprecated (const bool deprecated)
bool | getDeprecated (void) const
void | setCriticalMerge (const bool mergeCritical)
bool | getCriticalMerge (void) const
void | setModuleDescription (const char *pModuleDescription)
StringTableEntry | getModuleDescription (void) const
void | setAuthor (const char *pAuthor)
StringTableEntry | getAuthor (void) const
void | setModuleGroup (const char *pModuleGroup)
StringTableEntry | getModuleGroup (void) const
void | setModuleType (const char *pModuleType)
StringTableEntry | getModuleType (void) const
void | setDependencies (const typeModuleDependencyVector &dependencies)
const typeModuleDependencyVector & | getDependencies (void) const
void | setScriptFile (const char *pScriptFile)
StringTableEntry | getScriptFile (void) const
void | setCreateFunction (const char *pCreateFunction)
StringTableEntry | getCreateFunction (void) const
void | setDestroyFunction (const char *pDestroyFunction)
StringTableEntry | getDestroyFunction (void) const
SimObjectId | getScopeSet (void) const
void | setAssetTagsManifest (const char *pTagsAssetManifest)
| Module assets. More...
StringTableEntry | getAssetTagsManifest (void) const
typeModuleAssetsVector & | getModuleAssets (void)
void | setModulePath (const char *pModulePath)
| Module location. More...
StringTableEntry | getModulePath (void) const
void | setModuleFile (const char *pModuleDefinitionFile)
StringTableEntry | getModuleFile (void) const
void | setModuleFilePath (const char *pModuleDefinitionFilePath)
StringTableEntry | getModuleFilePath (void) const
void | setModuleScriptFilePath (const char *pModuleScriptFilePath)
StringTableEntry | getModuleScriptFilePath (void) const
U32 | getDependencyCount (void) const
| Specialized dependency control. More...
bool | getDependency (const U32 dependencyIndex, ModuleDependency &dependency) const
bool | addDependency (const char *pModuleId, const U32 versionId)
bool | removeDependency (const char *pModuleId)
void | setSignature (const char *pSignature)
| Miscellaneous. More...
StringTableEntry | getSignature (void) const
void | increaseLoadCount (void)
void | reduceLoadCount (void)
S32 | getLoadCount (void) const
void | setLocked (const bool status)
bool | getLocked (void) const
ModuleManager * | getModuleManager (void) const
bool | save (void)
| DECLARE_CONOBJECT (ModuleDefinition)
| Declare Console Object. More...
Public Member Functions inherited from SimSet
| SimSet ()
| ~SimSet ()
virtual void | onRemove ()
| Called when the object is removed from the sim. More...
virtual void | onDeleteNotify (SimObject *object)
virtual U32 | getTamlChildCount (void) const
| Called when Taml attempts to compile a list of children. More...
virtual SimObject * | getTamlChild (const U32 childIndex) const
| Called when Taml attempts to compile a list of children. More...
virtual void | addTamlChild (SimObject *pSimObject)
| Called when Taml attempts to populate an objects children during a read. More...
void | callOnChildren (const char *method, S32 argc, const char *argv[], bool executeOnChildGroups=true)
virtual void | write (Stream &stream, U32 tabStop, U32 flags=0)
virtual SimObject * | findObject (const char *name)
SimObject * | findObjectByInternalName (const char *internalName, bool searchChildren=false)
virtual bool | writeObject (Stream *stream)
virtual bool | readObject (Stream *stream)
void | lock ()
void | unlock ()
| DECLARE_CONOBJECT (SimSet)
void | _setVectorAssoc (const char *file, const U32 line)
virtual void | addObject (SimObject *)
| Add an object to the set. More...
virtual void | removeObject (SimObject *)
| Remove an object from the set. More...
virtual void | pushObject (SimObject *)
virtual void | popObject ()
| Remove an object from the end of the list. More...
void | bringObjectToFront (SimObject *obj)
void | pushObjectToBack (SimObject *obj)
SimObject * | front ()
SimObject * | first ()
SimObject * | last ()
bool | empty ()
S32 | size () const
iterator | begin ()
iterator | end ()
value | operator[] (S32 index)
iterator | find (iterator first, iterator last, SimObject *obj)
iterator | find (SimObject *obj)
template<typename T >
bool | containsType (void)
virtual bool | reOrder (SimObject *obj, SimObject *target=0)
SimObject * | at (S32 index) const
void | deleteObjects (void)
void | clear ()
Public Member Functions inherited from SimObject
StringTableEntry | getClassNamespace () const
StringTableEntry | getSuperClassNamespace () const
void | setClassNamespace (const char *classNamespace)
void | setSuperClassNamespace (const char *superClassNamespace)
void | pushScriptCallbackGuard (void)
void | popScriptCallbackGuard (void)
S32 | getScriptCallbackGuard (void)
Namespace * | getNamespace ()
| Return the object's namespace. More...
const char * | tabComplete (const char *prevText, S32 baseLen, bool)
virtual void | dump ()
virtual void | dumpClassHierarchy ()
SimObject * | clone (const bool copyDynamicFields)
virtual void | copyTo (SimObject *object)
template<typename T >
bool | isType (void)
virtual bool | handlesConsoleMethod (const char *fname, S32 *routingId)
| DECLARE_CONOBJECT (SimObject)
Notify * | removeNotify (void *ptr, Notify::Type)
| Remove a notification from the list. More...
void | deleteNotify (SimObject *obj)
| Notify an object when we are deleted. More...
void | clearNotify (SimObject *obj)
| Notify an object when we are cleared. More...
void | clearAllNotifications ()
| Remove all notifications for this object. More...
void | processDeleteNotifies ()
| Send out deletion notifications. More...
void | registerReference (SimObject **obj)
void | unregisterReference (SimObject **obj)
const char * | getDataField (StringTableEntry slotName, const char *array)
void | setDataField (StringTableEntry slotName, const char *array, const char *value)
const char * | getPrefixedDataField (StringTableEntry fieldName, const char *array)
void | setPrefixedDataField (StringTableEntry fieldName, const char *array, const char *value)
const char * | getPrefixedDynamicDataField (StringTableEntry fieldName, const char *array, const S32 fieldType=-1)
void | setPrefixedDynamicDataField (StringTableEntry fieldName, const char *array, const char *value, const S32 fieldType=-1)
StringTableEntry | getDataFieldPrefix (StringTableEntry fieldName)
U32 | getDataFieldType (StringTableEntry slotName, const char *array)
SimFieldDictionary * | getFieldDictionary ()
void | clearDynamicFields (void)
| Clear all dynamic fields. More...
void | setCanSaveDynamicFields (bool bCanSave)
| Set whether fields created at runtime should be saved. Default is true. More...
bool | getCanSaveDynamicFields (void) const
| Get whether fields created at runtime should be saved. Default is true. More...
void | setInternalName (const char *newname)
StringTableEntry | getInternalName ()
| Get the internal of of this control. More...
virtual bool | save (const char *pcFilePath, bool bOnlySelected=false)
| Save object as a TorqueScript File. More...
virtual bool | isMethod (const char *methodName)
| Check if a method exists in the objects current namespace. More...
SimObjectId | getId (void) const
StringTableEntry | getIdString (void) const
U32 | getType () const
const StringTableEntry | getName (void) const
void | setId (SimObjectId id)
void | assignName (const char *name)
SimGroup * | getGroup () const
bool | isChildOfGroup (SimGroup *pGroup)
bool | isProperlyAdded () const
bool | isDeleted () const
bool | isRemoved () const
bool | isLocked ()
void | setLocked (bool b)
bool | isHidden ()
void | setHidden (bool b)
void | setProgenitorFile (const char *pFile)
StringTableEntry | getProgenitorFile (void) const
void | setPeriodicTimerID (const S32 timerID)
S32 | getPeriodicTimerID (void) const
bool | isPeriodicTimerActive (void) const
bool | isSelected () const
bool | isExpanded () const
void | setSelected (bool sel)
void | setExpanded (bool exp)
void | setModDynamicFields (bool dyn)
void | setModStaticFields (bool sta)
| SimObject ()
virtual | ~SimObject ()
virtual bool | processArguments (S32 argc, const char **argv)
| Process constructor options. (ie, new SimObject(1,2,3)) More...
virtual bool | onAdd ()
| Called when the object is added to the sim. More...
virtual void | onGroupAdd ()
| Called when the object is added to a SimGroup. More...
virtual void | onGroupRemove ()
| Called when the object is removed from a SimGroup. More...
virtual void | onNameChange (const char *name)
| Called when the object's name is changed. More...
virtual void | onStaticModified (const char *slotName, const char *newValue=NULL)
virtual void | inspectPreApply ()
virtual void | inspectPostApply ()
virtual void | onEditorEnable ()
| Called when the editor is activated. More...
virtual void | onEditorDisable ()
| Called when the editor is deactivated. More...
bool | registerObject ()
bool | registerObject (U32 id)
bool | registerObject (const char *name)
bool | registerObject (const char *name, U32 id)
void | unregisterObject ()
void | deleteObject ()
bool | addToSet (SimObjectId)
bool | addToSet (const char *)
bool | removeFromSet (SimObjectId)
bool | removeFromSet (const char *)
virtual bool | writeField (StringTableEntry fieldname, const char *value)
virtual void | writeFields (Stream &stream, U32 tabStop)
virtual void | buildFilterList ()
void | addFieldFilter (const char *fieldName)
void | removeFieldFilter (const char *fieldName)
void | clearFieldFilters ()
bool | isFiltered (const char *fieldName)
void | assignFieldsFrom (SimObject *obj)
void | assignDynamicFieldsFrom (SimObject *obj)
Public Member Functions inherited from ConsoleObject
const AbstractClassRep::Field * | findField (StringTableEntry fieldName) const
| Get a reference to a field by name. More...
virtual AbstractClassRep * | getClassRep () const
| Gets the ClassRep. More...
bool | setField (const char *fieldName, const char *value)
| Set the value of a field. More...
virtual | ~ConsoleObject ()
const AbstractClassRep::FieldList & | getFieldList () const
| Get a list of all the fields. This information cannot be modified. More...
AbstractClassRep::FieldList & | getModifiableFieldList ()
bool & | getDynamicGroupExpand ()
S32 | getClassId (U32 netClassGroup) const
const char * | getClassName () const

## Static Public Member Functions
static void | initPersistFields ()
| Engine. More...
Static Public Member Functions inherited from SimObject
static void | initPersistFields ()
Static Public Member Functions inherited from ConsoleObject
static const char * | lookupClassName (const U32 in_classTag)
| Get the classname from a class tag. More...
static void | initPersistFields ()
static void | consoleInit ()
static ConsoleObject * | create (const char *in_pClassName)
static ConsoleObject * | create (const U32 groupId, const U32 typeId, const U32 in_classId)
static AbstractClassRep * | getStaticClassRep ()
| Get the abstract class information for this class. More...
static AbstractClassRep * | getParentStaticClassRep ()
| Get the abstract class information for this class's superclass. More...

## Static Protected Member Functions
static bool | setModuleId (void *obj, const char *data)
static bool | setVersionId (void *obj, const char *data)
static bool | setBuildId (void *obj, const char *data)
static bool | writeBuildId (void *obj, StringTableEntry pFieldName)
static bool | setEnabled (void *obj, const char *data)
static bool | writeEnabled (void *obj, StringTableEntry pFieldName)
static bool | setSynchronized (void *obj, const char *data)
static bool | writeSynchronized (void *obj, StringTableEntry pFieldName)
static bool | setDeprecated (void *obj, const char *data)
static bool | writeDeprecated (void *obj, StringTableEntry pFieldName)
static bool | writeCriticalMerge (void *obj, StringTableEntry pFieldName)
static bool | setModuleDescription (void *obj, const char *data)
static bool | writeModuleDescription (void *obj, StringTableEntry pFieldName)
static bool | setAuthor (void *obj, const char *data)
static bool | writeAuthor (void *obj, StringTableEntry pFieldName)
static bool | setModuleGroup (void *obj, const char *data)
static bool | setModuleType (void *obj, const char *data)
static bool | writeModuleType (void *obj, StringTableEntry pFieldName)
static bool | setScriptFile (void *obj, const char *data)
static bool | writeScriptFile (void *obj, StringTableEntry pFieldName)
static bool | setCreateFunction (void *obj, const char *data)
static bool | writeCreateFunction (void *obj, StringTableEntry pFieldName)
static bool | setDestroyFunction (void *obj, const char *data)
static bool | writeDestroyFunction (void *obj, StringTableEntry pFieldName)
static bool | setAssetTagsManifest (void *obj, const char *data)
| Asset manifest. More...
static bool | writeAssetTagsManifest (void *obj, StringTableEntry pFieldName)
static const char * | getScopeSet (void *obj, const char *data)
static bool | setDependencies (void *obj, const char *data)
static const char * | getDependencies (void *obj, const char *data)
static bool | writeDependencies (void *obj, StringTableEntry pFieldName)
static const char * | getSignature (void *obj, const char *data)
Static Protected Member Functions inherited from SimObject
static bool | setClass (void *obj, const char *data)
static bool | setSuperClass (void *obj, const char *data)
static bool | writeCanSaveDynamicFields (void *obj, StringTableEntry pFieldName)
static bool | writeInternalName (void *obj, StringTableEntry pFieldName)
static bool | setParentGroup (void *obj, const char *data)
static bool | writeParentGroup (void *obj, StringTableEntry pFieldName)
static bool | writeSuperclass (void *obj, StringTableEntry pFieldName)
static bool | writeClass (void *obj, StringTableEntry pFieldName)
static SimObject::Notify * | allocNotify ()
| Get a free Notify structure. More...
static void | freeNotify (SimObject::Notify *)
| Mark a Notify structure as free. More...
Static Protected Member Functions inherited from ConsoleObject
static void | addGroup (const char *in_pGroupname, const char *in_pGroupDocs=NULL)
static void | endGroup (const char *in_pGroupname)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const char *in_pFieldDocs)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const char *in_pFieldDocs)
static void | addFieldV (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, ConsoleTypeValidator *v, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const char *in_pFieldDocs=NULL)
static void | addDepricatedField (const char *fieldName)
static bool | removeField (const char *in_pFieldname)

## Friends
class | ModuleManager

## Additional Inherited Members
Protected Member Functions inherited from SimObject
virtual void | onTamlPreWrite (void)
| Taml callbacks. More...
virtual void | onTamlPostWrite (void)
| Called after Taml has finished writing the object. More...
virtual void | onTamlPreRead (void)
| Called prior to Taml reading the object. More...
virtual void | onTamlPostRead (const TamlCustomNodes &customNodes)
virtual void | onTamlAddParent (SimObject *pParentObject)
| Called after Taml has finished reading the object and has added the object to any parent. More...
virtual void | onTamlCustomWrite (TamlCustomNodes &customNodes)
| Called during the writing of the object to allow custom properties to be written. More...
virtual void | onTamlCustomRead (const TamlCustomNodes &customNodes)
| Called during the reading of the object to allow custom properties to be read. More...
void | linkNamespaces ()
void | unlinkNamespaces ()
Protected Member Functions inherited from ConsoleObject
| ConsoleObject ()
| ConsoleObject (const ConsoleObject &)
Protected Attributes inherited from SimSet
SimObjectList | objectList
void * | mMutex
Protected Attributes inherited from SimObject
SimObjectId | mId
| Id number for this object. More...
StringTableEntry | mIdString
Namespace * | mNameSpace
U32 | mTypeMask
S32 | mScriptCallbackGuard
| Whether the object is executing a script callback. More...
bool | mCanSaveFieldDictionary
| true if dynamic fields (added at runtime) should be saved, defaults to true More...
StringTableEntry | mInternalName
| Stores object Internal Name. More...
StringTableEntry | mClassName
| Stores the class name to link script class namespaces. More...
StringTableEntry | mSuperClassName
| Stores super class name to link script class namespaces. More...
Static Protected Attributes inherited from SimObject
static SimObject::Notify * | mNotifyFreeList = NULL

## Detailed Description

See also
  Module Manager Reference

## Member Typedef Documentation

typedef Vector<AssetDefinition*> typeModuleAssetsVector

typedef Vector<ModuleDependency> typeModuleDependencyVector

## Constructor & Destructor Documentation

ModuleDefinition | ( |  | ) |

virtual ~ModuleDefinition | ( |  | ) |
| inline virtual

## Member Function Documentation

bool addDependency | ( | const char * | pModuleId,
|  | const U32 | versionId
| ) |  |

DECLARE_CONOBJECT | ( | ModuleDefinition |  | ) |

Declare Console Object.

StringTableEntry getAssetTagsManifest | ( | void |  | ) | const
| inline

StringTableEntry getAuthor | ( | void |  | ) | const
| inline

U32 getBuildId | ( | void |  | ) | const
| inline

StringTableEntry getCreateFunction | ( | void |  | ) | const
| inline

bool getCriticalMerge | ( | void |  | ) | const
| inline

const typeModuleDependencyVector& getDependencies | ( | void |  | ) | const
| inline

static const char* getDependencies | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

bool getDependency | ( | const U32 | dependencyIndex,
|  | ModuleDependency & | dependency
| ) |  | const

U32 getDependencyCount | ( | void |  | ) | const
| inline

Specialized dependency control.

bool getDeprecated | ( | void |  | ) | const
| inline

StringTableEntry getDestroyFunction | ( | void |  | ) | const
| inline

bool getEnabled | ( | void |  | ) | const
| inline

S32 getLoadCount | ( | void |  | ) | const
| inline

bool getLocked | ( | void |  | ) | const
| inline

typeModuleAssetsVector& getModuleAssets | ( | void |  | ) |
| inline

StringTableEntry getModuleDescription | ( | void |  | ) | const
| inline

StringTableEntry getModuleFile | ( | void |  | ) | const
| inline

StringTableEntry getModuleFilePath | ( | void |  | ) | const
| inline

StringTableEntry getModuleGroup | ( | void |  | ) | const
| inline

StringTableEntry getModuleId | ( | void |  | ) | const
| inline

ModuleManager* getModuleManager | ( | void |  | ) | const
| inline

StringTableEntry getModulePath | ( | void |  | ) | const
| inline

StringTableEntry getModuleScriptFilePath | ( | void |  | ) | const
| inline

StringTableEntry getModuleType | ( | void |  | ) | const
| inline

SimObjectId getScopeSet | ( | void |  | ) | const
| inline

static const char* getScopeSet | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

StringTableEntry getScriptFile | ( | void |  | ) | const
| inline

StringTableEntry getSignature | ( | void |  | ) | const
| inline

static const char* getSignature | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

bool getSynchronized | ( | void |  | ) | const
| inline

U32 getVersionId | ( | void |  | ) | const
| inline

void increaseLoadCount | ( | void |  | ) |
| inline

void initPersistFields | ( | void |  | ) |
| static

Engine.

Module configuration.

Module location (Read-only).

Misc.

void reduceLoadCount | ( | void |  | ) |
| inline

bool removeDependency | ( | const char * | pModuleId | ) |

bool save | ( | void |  | ) |

void setAssetTagsManifest | ( | const char * | pTagsAssetManifest | ) |
| inline

Module assets.

static bool setAssetTagsManifest | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

Asset manifest.

void setAuthor | ( | const char * | pAuthor | ) |
| inline

static bool setAuthor | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setBuildId | ( | const U32 | buildId | ) |
| inline

static bool setBuildId | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setCreateFunction | ( | const char * | pCreateFunction | ) |
| inline

static bool setCreateFunction | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setCriticalMerge | ( | const bool | mergeCritical | ) |
| inline

void setDependencies | ( | const typeModuleDependencyVector & | dependencies | ) |
| inline

static bool setDependencies | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setDeprecated | ( | const bool | deprecated | ) |
| inline

static bool setDeprecated | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setDestroyFunction | ( | const char * | pDestroyFunction | ) |
| inline

static bool setDestroyFunction | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setEnabled | ( | const bool | enabled | ) |
| inline

static bool setEnabled | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setLocked | ( | const bool | status | ) |
| inline

void setModuleDescription | ( | const char * | pModuleDescription | ) |
| inline

static bool setModuleDescription | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setModuleFile | ( | const char * | pModuleDefinitionFile | ) |
| inline

void setModuleFilePath | ( | const char * | pModuleDefinitionFilePath | ) |
| inline

void setModuleGroup | ( | const char * | pModuleGroup | ) |
| inline

static bool setModuleGroup | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setModuleId | ( | const char * | pModuleId | ) |
| inline

Module definition.

static bool setModuleId | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setModulePath | ( | const char * | pModulePath | ) |
| inline

Module location.

void setModuleScriptFilePath | ( | const char * | pModuleScriptFilePath | ) |
| inline

void setModuleType | ( | const char * | pModuleType | ) |
| inline

static bool setModuleType | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setScriptFile | ( | const char * | pScriptFile | ) |
| inline

static bool setScriptFile | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setSignature | ( | const char * | pSignature | ) |
| inline

Miscellaneous.

void setSynchronized | ( | const bool | synchronized | ) |
| inline

static bool setSynchronized | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setVersionId | ( | const U32 | versionId | ) |
| inline

static bool setVersionId | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

static bool writeAssetTagsManifest | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeAuthor | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeBuildId | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeCreateFunction | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeCriticalMerge | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeDependencies | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeDeprecated | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeDestroyFunction | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeEnabled | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeModuleDescription | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeModuleType | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeScriptFile | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeSynchronized | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

## Friends And Related Function Documentation

friend class ModuleManager
| friend

The documentation for this class was generated from the following files:

- module/moduleDefinition.h
- module/moduleDefinition.cc